IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[KIZILAYKANBILESENI]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[KIZILAYKANBILESENI](
		[KANBILESENIID] [int] NOT NULL,
		[KANBILESENIADI] [nvarchar](50) NOT NULL
	) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 1 AND KANBILESENIADI = 'TAM_KAN') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(1,'TAM_KAN')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 2 AND KANBILESENIADI = 'ERITROSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(2,'ERITROSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 7 AND KANBILESENIADI = 'TROMBOSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(7,'TROMBOSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 8 AND KANBILESENIADI = 'TAZE_DONMUS_PLAZMA') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(8,'TAZE_DONMUS_PLAZMA')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 9 AND KANBILESENIADI = 'KRIYOPRESPITAT') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(9,'KRIYOPRESPITAT')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 10 AND KANBILESENIADI = 'KRIYOSUP') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(10,'KRIYOSUP')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 11 AND KANBILESENIADI = 'AFEREZ_TROMBOSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(11,'AFEREZ_TROMBOSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 12 AND KANBILESENIADI = 'HAVUZLANMIS_TROMBOSIT') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(12,'HAVUZLANMIS_TROMBOSIT')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 21 AND KANBILESENIADI = 'AFEREZ_ERITROSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(21,'AFEREZ_ERITROSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 23 AND KANBILESENIADI = 'AFEREZ_TAZE_DONMUS_PLAZMA') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(23,'AFEREZ_TAZE_DONMUS_PLAZMA')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 27 AND KANBILESENIADI = 'SIVI_PLAZMA') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(27,'SIVI_PLAZMA')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 32 AND KANBILESENIADI = 'PEDIATRIK_AFEREZ_TROMBOSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(32,'PEDIATRIK_AFEREZ_TROMBOSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 37 AND KANBILESENIADI = 'AFEREZ_KRIYOPRESIPITATI') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(37,'AFEREZ_KRIYOPRESIPITATI')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 39 AND KANBILESENIADI = 'GRANULOSIT') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(39,'GRANULOSIT')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 40 AND KANBILESENIADI = 'AFEREZ_GRANULOSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(40,'AFEREZ_GRANULOSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 57 AND KANBILESENIADI = 'DOUBLE_AFEREZ_ERITROSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(57,'DOUBLE_AFEREZ_ERITROSIT_SUSPANSIYONU')
IF NOT EXISTS (SELECT * FROM KIZILAYKANBILESENI WHERE KANBILESENIID = 64 AND KANBILESENIADI = 'DOUBLE_AFEREZ_TROMBOSIT_SUSPANSIYONU') 
	INSERT INTO KIZILAYKANBILESENI (KANBILESENIID,KANBILESENIADI) VALUES(64,'DOUBLE_AFEREZ_TROMBOSIT_SUSPANSIYONU')
